# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           vala
Version:        0.9.2
Release:        3.pm.3.3
Summary:        Vala is a new programming language for GNOME
Group:          Development/Languages/Other
License:        LGPL v2.1 or later
Url:            http://live.gnome.org/Vala
Source0:        http://download.gnome.org/sources/vala/0.7/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bison fdupes flex glib2-devel libxslt-devel
%if %suse_version < 1030
%define _prefix /opt/gnome
%endif
###%if %suse_version >= 1110
###BuildRequires: -post-build-checks
###%endif

%description
Vala is a new programming language that aims to bring modern
programming language features to GNOME developers without imposing any
additional runtime requirements and without using a different ABI
compared to applications and libraries written in C.



Authors:
--------
    J�rg Billeter <j@bitron.ch>
    Raffaele Sandrini <raffaele@sandrini.ch>

%package        devel
License:        LGPL v2.0 only
Summary:        Vala is a new programming language for GNOME
Group:          Development/Languages/Other
Requires:       %{name} = %{version} glib2-devel

%description    devel
Vala is a new programming language that aims to bring modern
programming language features to GNOME developers without imposing any
additional runtime requirements and without using a different ABI
compared to applications and libraries written in C.



Authors:
--------
    J�rg Billeter <j@bitron.ch>
    Raffaele Sandrini <raffaele@sandrini.ch>


%prep
%setup -q


%build
%configure --with-pic --enable-vapigen
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/*.la
grep -r include %{buildroot}%{_includedir} | awk -F: '{print $2}'

%fdupes -s %buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/valac
%{_bindir}/vala-gen-introspect
%{_bindir}/vapicheck
%{_datadir}/vala
%{_libdir}/libvala.so.*
%{_mandir}/*/*
%dir %{_datadir}/devhelp
%dir %{_datadir}/devhelp/books
%dir %{_datadir}/devhelp/books/vala
%{_datadir}/devhelp/books/vala/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/vala-1.0
%{_bindir}/*gen
%{_libdir}/libvala.so
%{_libdir}/vala
%{_libdir}/pkgconfig/vala-1.0.pc

%changelog
* Sat Jun 27 2010 - Detlef Reichelt <detlef@links2linux.de> - 0.9.2
- new upstream version <0.9.2>

* Mon Sep 21 2009 - Andrea Florio <andrea@links2linux.de> 0.7.6
- new upstream 0.7.6
* Wed Apr 16 2009 - Andrea Florio <andrea@links2linux.de>
- new upstream 0.7.0
* Mon Mar 23 2009 - Andrea Florio <andrea@links2linux.de>
- new upstream 0.5.7
* Tue Oct 14 2008 crrodriguez@suse.de
- fix implicit-fortify-decl errors
- correct -devel package requires
* Fri Sep 12 2008 mauro@suse.de
- Added return-fix.patch to fix the error " Program returns random
  data in a function".
* Fri Jul 25 2008 mauro@suse.de
- initial SUSE package
